

#ifndef PBottleMapperINCLUDED
#define PBottleMapperINCLUDED

#include "..\cavist\global.h"

#include "..\cavist\pbottle.h"
#include "..\cavist\pcollection.h"

#include "pdatabasefile.h"



class PBottleMapper
{

public:

	PBottleMapper() {};
	~PBottleMapper() {};

	static Boolean init();

	static Boolean createRecord(PBottle& bottle, PFileRecord* rec);

	static long getIndexForTag(const PString& str);
	static Boolean getTagForIndex(long index, PString& str);

	static Boolean setValueInBottle(PBottle& bottle, long index, const PString& value);
	static Boolean getValueInBottle(const PBottle& bottle, long index, PString& value);

	static long getNbFields();

	static PCollection& getMlCollection();

	static void setLanguage(char l) { language_ = l; };


private:

	static PCollection frenchTags_;
	static PCollection germanTags_;
	static PCollection englishTags_;

	static char language_;

};

#endif
