

#ifndef PFilterINCLUDED
#define PFilterINCLUDED



#include "pstring.h"

#include "pcollectable.h"


class PBottle;
#include "pbuffer.h"



void removeFilter(PCollectable* element);



class PFilter : public PCollectable
{

	friend class PFilterManager;

private:

	PFilter();

	PString name_;

	PString type_;
	PString capacite_;
	long millesime_;
	char older_;
	long atLeastNumber_;
	PString searchString_;
	long toDrinkMax_;


public:

	PFilter(const PString& name);
	~PFilter();

	void reset();

	friend PInBuffer& operator<<(PInBuffer& buff, const PFilter& b);
	friend POutBuffer& operator>>(POutBuffer& buff, PFilter& b);


	const PString& getName() { return name_; };
	const PString& getType() { return type_; };
	const PString& getCapacite() { return capacite_; };
	long getMillesime() { return millesime_; };
	Boolean getOlder(){ return (Boolean)older_; };
	long getAtLeastNumber() { return atLeastNumber_; };
	const PString& getSearchString(){ return searchString_; };
	long getToDrinkMax() { return toDrinkMax_; };

	void setName(const PString& n) { name_ = n; };
	void setType(const PString& t) { type_ = t; };
	void setCapacite(const PString& c) { capacite_ = c; };
	void setMillesime(long m) { millesime_ = m; };
	void setOlder(Boolean  o){ older_ = (char)o; };
	void setAtLeastNumber(long n) { atLeastNumber_ = n; };
	void setSearchString(const PString& s){ searchString_ = s; };
	void setToDrinkMax(long d) { toDrinkMax_ = d; };

};

#endif

