
#include "../cavist/global.h"
#include "../cavist/pstring.h"


class PCsvFileManager
{

public:
	
	PCsvFileManager();
	~PCsvFileManager();

	Boolean open(const PString& str);

	Boolean getNextLine(CStringArray& line);

	Boolean setNextLine(CStringArray& line);


private:

	void put(char c);
	Boolean get(char& c);


	char backBuffer_[10];
	long whereToPut_;

	CFile file;

};